#include <stdio.h>
#include <ftlock.h>

int main(int argc, char **argv)
{
    size_t len = 0;
    int pid = 0;
    char *line = NULL;
    char name[128 + 1] = "";

    (void)argc; (void)argv;
    printf("o - open, lname - lock, tname - try lock, ncode - notify, s - state, p - pid, w - pid, u - unlock, c - close\n");
    while(getline(&line, &len, stdin) != -1) {
	int res = 0;
	switch(line[0]) {
	case 'o': res=ftlock_open(); break;
	case 'l': res=ftlock_lock(line + 1); break;
	case 't': res=ftlock_try_lock(line + 1); break;
	case 'n': res=ftlock_notify(line[1]); break;
	case 's': res=ftlock_get_state(name, &pid); break;
	case 'p': res=ftlock_pid(); break;
	case 'w': res=ftlock_wait(); break;
	case 'u': res=ftlock_unlock(); break;
	case 'c': res=ftlock_close(); break;
        }
	printf("Result %d %s %d\n", res, name, pid);
    } 
    return 0;
}

