# This test changes lamp brightness
# Lamp must be connected to O7 and GND (O8 also can be used as GND)
import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
#from sft import ft, ftlock
txt2=ft.fttxt2()
l7=txt2.lamp(7)
txt2.update_config()

ftlock.notify("R")

print("Lamp test")
i=0
while i <= 512:
    l7.pwm_set(i)
    i = i + 20
    time.sleep(1)

l7.pwm_set(0)
ftlock.notify(ord("F"))

# The following commands are unimportant in this case
txt2.close()
ftlock.unlock()
ftlock.close()

