# This test uses the encoder motor M1, connections O1-O2, C1-GND, 9V (use standard connection form manual)
# Motor must rotate to one direction, stop and rotate to anther direction, sometimes test outputs distance

import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
txt2=ft.fttxt2()
e1=txt2.encoder(1)
txt2.update_config()

ftlock.notify('R')

print("Encoder coast test with distance output")
e1.stop()
time.sleep(1)

e1.start_speed(512)
time.sleep(1)
t1=e1.motor_distance
e1.coast()
time.sleep(3)
t2=e1.motor_distance

print("Coast distance :", t1, t2, t2 - t1)

