import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import ft
txt2=ft.fttxt2()

ftlock.notify('R')

l=txt2.getControllerInfoList()
i=0

for ci in l:
    print("Controller name          :", ci.name)
    print("Controller serial number :", ci.sn)
    if (i):
        ts=txt2.getController(ci)
        print("Controller version       :", ts.version)
        print("Controller firmware      :", ts.firmware)
    else:
        print("Controller version       :", txt2.version)
        print("Controller firmware      :", txt2.firmware)
    i=i+1


