import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
txt2=ft.fttxt2()
e1=txt2.encoder(1)
e2=txt2.encoder(2)
txt2.update_config()

ftlock.notify('R')

e1.speed_set(150)
e2.speed_set(150)
e1.syncStart(e2)

t1 = time.monotonic()
while time.monotonic() - t1 < 30:
    print("Diff", e2.motor_distance - e1.motor_distance)
    time.sleep(1)

e1.syncStop(e2)

