# This test changes lamp brightnesss 
# Lamp must be connected to remote O7 and GND (O8 also can be used as GND)

import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
ltxt2=ft.fttxt2()
l=ltxt2.getControllerInfoList()
if len(l) < 2:
    print("No available slaves")
    quit()
txt2=ltxt2.getController(l[1])
l7=txt2.lamp(7)
txt2.update_config()

ftlock.notify('R')

print("Remote lamp test")
i=0
while i <= 512:
    l7.pwm_set(i)
    i = i + 50
    time.sleep(1)

l7.pwm_set(0)

