# This test drives a servo motor in X45 position (check pins Red, Black, Yellow !!!)
# Only 4 positions are tested

import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
txt2=ft.fttxt2()
s1=txt2.servo(1)
txt2.update_config()

ftlock.notify('R')

print("Servo motor test")
s1.pwm_set(0)
time.sleep(1)
s1.pwm_set(128)
time.sleep(1)
s1.pwm_set(256)
time.sleep(1)
s1.pwm_set(384)
time.sleep(1)
s1.pwm_set(512)


