import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
txt2=ft.fttxt2()
u1=txt2.ultrasonic(1)
r4=txt2.resistor(4)
s8=txt2.switch(8)
e1=txt2.encoder(1)
l7=txt2.lamp(7)
m3=txt2.motor(3)
s1=txt2.servo(1)
txt2.update_config()

ftlock.notify('R')

print("Ultrasonic distance test 5 sec, try to change")
i=0
while i < 5 :
    print("Udistance", u1.distance)
    i = i + 1
    time.sleep(1)

print("Resistor test")
print("Resistance", r4.resistance)
print("Resistance", r4.resistance)
print("Resistance", r4.resistance)

print("Lamp test")
i=0
while i <= 512:
    l7.pwm_set(i)
    i = i + 20
    time.sleep(1)

l7.pwm_set(0)

print("Switch test 5 sec, try to press")
i=0
while i < 5 :
    print("Switch state", s8.val)
    i = i + 1
    time.sleep(1)

print("Encoder test")
e1.start_speed(256)
time.sleep(1)
print("Distance", e1.motor_distance)
time.sleep(1)
print("Distance", e1.motor_distance)
e1.start_speed(0)
time.sleep(1)
print("Distance", e1.motor_distance)
time.sleep(1)
print("Distance", e1.motor_distance)
e1.start_speed(-256)
time.sleep(1)
print("Distance", e1.motor_distance)
time.sleep(1)
print("Distance", e1.motor_distance)
e1.start_speed(0)
time.sleep(1)
print("Distance", e1.motor_distance)
time.sleep(1)
print("Distance", e1.motor_distance)

print("Motor test")
m3.start_speed(256)
time.sleep(1)
m3.start_speed(0)
time.sleep(1)
m3.start_speed(-256)
time.sleep(1)
m3.start_speed(0)

print("Servo motor test")
s1.pwm_set(0)
time.sleep(1)
s1.pwm_set(256)
time.sleep(1)
s1.pwm_set(512)


