#!/usr/bin/env python3

import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
txt2=ft.fttxt2()
e1=txt2.encoder(1)
e2=txt2.encoder(2)
e3=txt2.encoder(3)
e4=txt2.encoder(4)
u1=txt2.ultrasonic(1)
txt2.update_config()

ftlock.notify('R')

distance=900000
ldistance=580
speed=250
lspeed=-250

def go():
    e1.speed_set(speed)
    e2.speed_set(speed)
    e3.speed_set(speed)       
    e4.speed_set(speed)
    e1.syncDistance(distance, e2, e3, e4)
    while e1.isrunning:
        if(u1.distance < 30):
            e1.syncStop(e2, e3, e4)
            left()
            print(u1.distance)
            e1.speed_set(speed)
            e2.speed_set(speed)
            e3.speed_set(speed)
            e4.speed_set(speed)
            e1.syncDistance(distance, e2, e3, e4)
        pass
    e1.syncStop(e2, e3, e4)

def left():
    e1.speed_set(speed)
    e2.speed_set(lspeed)
    e3.speed_set(speed)
    e4.speed_set(lspeed)
    e1.syncDistance(ldistance, e2, e3, e4)
    while e1.isrunning:
        pass
    e1.syncStop(e2, e3, e4)

for i in range(900000):
    go()
