# This test uses the counter C4, use switch to produce events

import ftlock
import sys
if ftlock.try_lock(sys.argv[0]) < 0 :
    state = ftlock.state()
    print("Resources locked by " + state.name)
    sys.exit(1)

import time
import ft
txt2=ft.fttxt2()
c4=txt2.counter(4)
txt2.update_config()

ftlock.notify('R')

c4.reset()
print("Counter test with C4 value switchi (5 sec), 0 - button on, 1 - button off")
t=time.monotonic()

while time.monotonic() - t < 5:
  print(c4.state())

print("Events:", c4.distance)

